<?php
header('Content-Type: text/html; charset=utf-8');
class parseXML {
    private $CONFIG = array();
    
    // Класс конструктор
    function __construct() {
        $this->parseSettings();
        $this->outputXML();
    }
    
    // Разбор данных конфигурационного файла setting.ini
    private function parseSettings() {
        if(file_exists("./setting.ini")) {
            $handle = fopen("./setting.ini", "r");
            while (!feof($handle)) {
                $line = fgets($handle, 4096);
                $lineArray = explode(" = ", $line);
                $this->CONFIG[trim($lineArray['0'])] = substr(trim($lineArray['1']), 1, -1);
            }
            fclose($handle);
        } else {
            echo 'Файл конфигурации setting.ini не существует!';
        }
    }
    
    // Вывод данных на основе XML-файла
    private function outputXML() {
        if($this->CONFIG['file']) {
            $category_id = $this->getCategory($this->CONFIG['category']);
            if($category_id > 0) {
                $xml = simplexml_load_file($this->CONFIG['file']);
                if($xml) {
                    foreach ($xml->goods->good as $good) {
                        if(intval($good[0]['category']) == $category_id) {
                            echo $good[0];
                            if((string)($good[0]['id'])) {
                                echo '<br />ID: '.(string)($good[0]['id']);
                            }
                            if((string)($good[0]['code'])) {
                                echo '<br />Артикул: '.(string)($good[0]['code']);
                            }
                            if((string)($good[0]['price'])) {
                                //echo '<br />Цена: '.(string)($good[0]['price']);
                            }
                            if((string)($good[0]['preview'])) {
                                echo '<br />Изображение: '.(string)($good[0]['preview']);
                            }
                            if((string)($good[0]['full'])) {
                                echo '<br />Полноразмерное изображение: '.(string)($good[0]['full']);
                            }
                            if((string)($good[0]['input'])) {
                                echo '<br />Вход (мм): '.(string)($good[0]['input']);
                            }
                            if((string)($good[0]['output'])) {
                                echo '<br />Выход (мм): '.(string)($good[0]['output']);
                            }
                            if((string)($good[0]['diameter'])) {
                                echo '<br />Диаметр (мм): '.(string)($good[0]['diameter']);
                            }
                            if((string)($good[0]['water_seal_height'])) {
                                echo '<br />Высота гидрозатвора (мм): '.(string)($good[0]['water_seal_height']);
                            }
                            if((string)($good[0]['throughput'])) {
                                echo '<br />Пропускная способность (л/мин): '.(string)($good[0]['throughput']);
                            }
                            if((string)($good[0]['diameter_discharge'])) {
                                echo '<br />Диаметр решетки выпуска (мм): '.(string)($good[0]['diameter_discharge']);
                            }
                            if((string)($good[0]['size'])) {
                                echo '<br />Размер (мм): '.(string)($good[0]['size']);
                            }
                            if((string)($good[0]['length'])) {
                                echo '<br />Длина (мм): '.(string)($good[0]['length']);
                            }
                            if((string)($good[0]['degree'])) {
                                echo '<br />Градус: '.(string)($good[0]['degree']);
                            }
                            if((string)($good[0]['diameter_hole'])) {
                                echo '<br />Диаметр сливного отверстия (мм): '.(string)($good[0]['diameter_hole']);
                            }
                            if((string)($good[0]['appliance'])) {
                                echo '<br />Подключение бытовой техники: '.(string)($good[0]['appliance']);
                            }
                            if((string)($good[0]['material'])) {
                                echo '<br />Материал: '.(string)($good[0]['material']);
                            }
                            if((string)($good[0]['colour'])) {
                                echo '<br />Цвет: '.(string)($good[0]['colour']);
                            }
                            if((string)($good[0]['design'])) {
                                echo '<br />Дизайн: '.(string)($good[0]['design']);
                            }
                            if((string)($good[0]['quantity'])) {
                                echo '<br />Количество в упаковке: '.(string)($good[0]['quantity']);
                            }
                            echo '<br />---<br />';
                        }
                    }
                }
            } else {
                echo 'Категория товаров не указана!';
            }
        } else {
            echo 'Файл конфигурации setting.ini не существует!';
        }
    }
    
    // Определение ID товарной категории для вывода
    private function getCategory($category_config) {
        if(is_numeric($category_config)) {
            return $category_config;
        } else {
            $xml = simplexml_load_file($this->CONFIG['file']);
            if($xml) {
                foreach ($xml->categories->category as $category) {
                    $category_name = $category[0];
                    if(trim($category_name) === trim($category_config)) {
                        return $category[0]['id'];
                    }
                }
            }
        }
    }
}

$xmlOutput = new parseXML;
?>